Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.http
Class OCISessionCookieFactory

`java.lang.Object
oracle.jbo.http.OCISessionCookieFactory`

All Implemented Interfaces:
  SessionCookieFactory

public class OCISessionCookieFactory
extends java.lang.Object
implements SessionCookieFactory

An OCISessionCookieFactory. This SessionCookieFactory will instantiate a `OCIEnvInfoProvider` instance and associate that EnvInfoProvider with each `SessionCookie` which is created.

In order to use the `OCISessionCookieFactory` please set the framework property, jbo.ampool.sessioncookiefactoryclass. For example,

     -Djbo.ampool.sessioncookiefactoryclass=oracle.jbo.http.OCISessionCookieFactory

This class assumes that the application has stored the OCI proxy username and possibly the proxy password in the HttpSession context. It looks for these values in the session context with the `oracle.jbo.client.Configuration.DB_USERNAME_PROPERTY` and `oracle.jbo.client.Configuration.DB_PASSWORD_PROPERTY` respectively.

Field Summary

Fields inherited from interface oracle.jbo.common.ampool.SessionCookieFactory
`PROP_IS_WEB_APP, PROP_USER_PRINCIPAL_KEY`

Constructor Summary
`OCISessionCookieFactory()`

Method Summary
`SessionCookie` | `createSessionCookie(java.lang.String name, java.lang.String value, ApplicationPool pool, java.util.Properties properties)` Creates a SessionCookie instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OCISessionCookieFactory

    public OCISessionCookieFactory()

Method Detail

### createSessionCookie

    public SessionCookie createSessionCookie(java.lang.String name,
                                             java.lang.String value,
                                             ApplicationPool pool,
                                             java.util.Properties properties)

  Description copied from interface: `SessionCookieFactory`
  Creates a SessionCookie instance.
  Specified by:
    `createSessionCookie` in interface `SessionCookieFactory`
  Parameters:
    `name` - an identifier which may be used to uniquely identify this cookie within the context of a session
    `value` - an option identifier which may be used to uniquely identify this cookie across sessions.
    `pool` - the applicationPool instance which will be used to acquire ApplicationModule instances for this SessionCookie.
    `properties` - an optional properties object which may be used to pass additional creation properties to the SessionCookieFactory.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.